.ant-dropdown-menu {
	border-radius: 8px;
}

.ant-dropdown-menu-light {
	box-shadow: 0 6px 10px 0 rgba(51, 64, 86, 0.05), 0 1px 2px 0 rgba(51, 64, 86, 0.08), 0 20px 40px rgba(51, 64, 86, 0.14), 0 10px 14px rgba(51, 64, 86, 0.05),
		0 -1px 3px rgba(0, 0, 0, 0.03);
	min-width: 300px;
	padding: 0.5rem 0;
	margin: 0.125rem 0 0;
}

.ant-dropdown-menu-item,
.ant-menu-item {
	padding: 0.4rem 1.7rem;

	&:hover {
		background: #f6f9fa;
	}

	.link-button {
		width: 100% !important;
		padding: 0;
	}
}

.ant-dropdown-menu-item-group-title {
	padding: 0.8rem 1.7rem;
	font-weight: 700;
	text-transform: uppercase;
	display: block;
	font-size: 0.875rem;
	color: #6c757d;
	white-space: nowrap;
}

.ant-dropdown-menu-item-group {
	.ant-dropdown-menu-item-group-list {
		padding: 0;
		margin: 0;

		li {
			list-style-type: none;
		}
	}
}

.ant-dropdown-menu-item-divider,
.ant-dropdown-menu-submenu-title-divider {
	margin: 10px 0;
}

.ant-dropdown-menu-item.add-new,
.add-new-menu-item {
	background: none !important;
	a {
		background: $gray-1;
		border: 1px solid $gray-1;
		color: #999;
		border-radius: 6px;
		margin: 5px 0;
		transition: 0.2s ease-out;

		&:hover {
			background: #fff;
			border: 1px solid $brand-primary;
			color: $brand-primary;
		}
	}
}

.ant-dropdown .ant-menu-vertical {
	border: none;
	border-radius: 10px;
	box-shadow: 0 6px 10px 0 rgba(0, 0, 0, 0.05), 0 1px 2px 0 rgba(0, 0, 0, 0.08), 0 20px 40px rgba(0, 0, 0, 0.14), 0 10px 14px rgba(0, 0, 0, 0.05),
		0px -1px 1px rgba(0, 0, 0, 0.1);
	min-width: 280px;
	padding: 10px 0;
}

.ant-dropdown {
	.ant-menu-item-divider {
		margin: 10px 0;
	}
}

.ant-menu-vertical .ant-menu-item:not(:last-child) {
	margin-bottom: 0;
}

.ant-dropdown-menu.multi-line > li {
	white-space: pre-line;

	p {
		font-size: 14px;
		margin: 0;
	}
}

.ant-dropdown-trigger {
	.anticon {
		align-self: center;
	}

	.arrow-outline-icon {
		transition: 0.2s;
	}

	&.ant-dropdown-open .arrow-outline-icon {
		transform: rotate(-180deg);
	}
}

.ant-dropdown-menu-item > button.link-button,
.ant-dropdown-menu-submenu-title > button.link-button {
	color: rgba(0, 0, 0, 0.65);
	padding: 5px 12px;
	margin: -2px -12px;
	-webkit-transition: all 0.3s;
	-o-transition: all 0.3s;
	transition: all 0.3s;

	align-items: normal;
	background-color: none;
	border-color: none;
	border-style: none;
	box-sizing: content-box;
	background-color: rgba(0, 0, 0, 0);
	border-color: rgb(0, 0, 238);
	-moz-appearance: none;
	-webkit-logical-height: 1em; /* Chrome ignores auto, so we have to use this hack to set the correct height  */
	-webkit-logical-width: auto; /* Chrome ignores auto, but here for completeness */
}
